[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: libcap2?

From: Samuel Thibault
Subject: Re: libcap2?
Date: Tue, 16 Aug 2011 14:24:13 +0200
User-agent: Mutt/1.5.21+34 (58baf7c9f32f) (2010-12-30)

Svante Signell, le Tue 16 Aug 2011 10:20:25 +0200, a écrit :
> > > Or should build dependencies for these archs avoid it?
> > 
> > Probably.
> Which is best, to create a dummy package or file bugs for every package
> reverse depending on it? 
> According to 
> # apt-cache rdepends libcap2|wc -l
> 103
> Interesting packages: zsh, bind9, syslog-ng, wodim, smbclient,
> pulseaudio*, gnome-keyring, ntpdate, etc.

A lot of which *already* have [linux-any] or [!hurd-i386 !kfreebsd-i386
!kfreebsd-amd64] or | not+linux-gnu in the dependency (the former is the
preferred form). Better use

grep-aptavail -FBuild-Depends -sPackage,Build-Depends  -n "libcap" mySources | 
paste -sd "  \n" | sed -e 's/^\([^ ]*\) .*, \(libcap[^,]*\).*$/\1: \2/' | grep 
-v hurd-i386 | grep -v linux-any | grep -v not+linux-gnu | grep -v libcapi

which gives way less packages:

asterisk: libcap-dev (>= 1:2.16-4) | libcap2-dev
autodir: libcap-dev 
bluez: libcap-ng-dev 
eucalyptus: libcap-dev
ltp: libcap2-bin
lxc: libcap-dev (>= 1:2.17-2)
libexplain: libcap-dev
libvirt: libcap-ng-dev
mcstrans: libcap2-dev
mumble: libcap-dev [!kfreebsd-i386 !kfreebsd-amd64]
nepenthes: libcap2-dev
nfs-utils: libcap-dev 
python-prctl: libcap-dev (>= 2)
quagga: libcap-dev
setools: libcap-dev
strongswan: libcap-dev 
suricata: libcap-ng-dev 
vdr: libcap2-dev | libcap-dev
virtualbox-ose: libcap-dev
zorp: libcap-dev

quite a few of which probably can't be built on hurd-i386 anyway: bluez,
ltp, nfs-utils, virtualbox-ose, ... And one of which already has the
arch-specific qualifier, just not for hurd-i386.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]